U++ - Feature #605
ide XML/Json enhancements
12/12/2013 08:09 AM - Miroslav Fidler

Status: Approved Start date: 12/12/2013
Priority: High Due date:

Assignee: Miroslav Fidler % Done: 0%
Category: IDE Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

- 'designer' (view) mode instead of dialog
- copy path (2 variants)

- map mode

- statistics

History

#1 - 12/18/2013 07:03 PM - Miroslav Fidler

- generate parser

#2 - 08/24/2014 03:45 PM - Zbigniew Rebacz
- File XmlJson.diff added

- Category set to IDE

- Status changed from New to In Progress

- Assignee set to Miroslav Fidler

In the first place we should fix existing bugs (Error handling, reusability problem. standarized Xml/Json view code infrastructure etc.). | enclosed

appropriate patch. We probably still need all above points (...

#3 - 02/23/2015 07:46 PM - Zbigniew Rebacz
- Priority changed from Normal to High

Mirek, can you look at this patch? It is old and forgotten one.

IMO, XML/Json view needs enchantments. This is quick fix before release.

#4 - 02/28/2015 08:14 PM - Miroslav Fidler
- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

Sources got too out-of-sync, unable to apply the patch.

Would it be possible to send me two files instead of patch?

#5 - 02/28/2015 08:47 PM - Zbigniew Rebacz
I will try to resolve conflicts. Currently, | have not this files :(

#6 - 03/01/2015 12:09 AM - Zbigniew Rebacz

- File Xml.cpp added

- File Json.cpp added

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

OK, I have that files:

This is what | do:

svn up -r 7590

svn patch XmlJson.diff

No conflicts.

#7 - 03/01/2015 08:37 AM - Miroslav Fidler
- Status changed from In Progress to Approved

Files

XmlJson.diff 8.35 KB 08/24/2014 Zbigniew Rebacz
Xml.cpp 3.15KB 02/28/2015 Zbigniew Rebacz
Json.cpp 3.55 KB 02/28/2015 Zbigniew Rebacz
